> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-add-new-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取数据源插件列表

> 列出知识流水线可用的所有数据源插件。根据 `is_published` 查询参数返回已发布或草稿状态的插件。



## OpenAPI

````yaml /zh/api-reference/openapi_knowledge.json get /datasets/{dataset_id}/pipeline/datasource-plugins
openapi: 3.0.1
info:
  title: 知识库 API
  description: >-
    用于管理知识库、文档、分段、元数据和标签的 API，包括创建、检索和配置操作。**注意：**单个知识库 API
    密钥有权操作同一账户下所有可见的知识库。请注意数据安全。
  version: 1.0.0
servers:
  - url: '{apiBaseUrl}'
    description: Knowledge API 的基础 URL。
    variables:
      apiBaseUrl:
        default: https://api.dify.ai/v1
        description: API 的实际基础 URL
security:
  - ApiKeyAuth: []
tags:
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /datasets/{dataset_id}/pipeline/datasource-plugins:
    get:
      tags:
        - 知识流水线
      summary: 获取数据源插件列表
      description: 列出知识流水线可用的所有数据源插件。根据 `is_published` 查询参数返回已发布或草稿状态的插件。
      operationId: listDatasourcePluginsZh
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: 知识库 ID。
        - name: is_published
          in: query
          schema:
            type: boolean
            default: true
          description: 获取已发布还是草稿状态的数据源插件。`true` 返回已发布的插件，`false` 返回草稿插件。
      responses:
        '200':
          description: 数据源插件列表。
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: 数据源插件的唯一标识符。
                    name:
                      type: string
                      description: 数据源插件的显示名称。
                    type:
                      type: string
                      description: 数据源插件类型。
              examples:
                success:
                  summary: 响应示例
                  value:
                    - id: b1c2d3e4-f5a6-7890-abcd-ef1234567890
                      name: Web Scraper
                      type: online_document
        '404':
          description: '`not_found` : 未找到知识库。'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````